> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List orders

> List the orders of a user, newest first.

Lists the orders of a user, newest first.

Read more about [pagination](https://developer.uphold.com/rest-apis/pagination.md).


## OpenAPI

````yaml _media/specs/trading-openapi.mintlify.json get /trading/orders
openapi: 3.1.0
info:
  version: 0.1.0
  title: Trading API
  description: >-
    The Trading API provides resources to estimate prices and place fill-or-kill
    orders.
  contact:
    name: Uphold API Team
    email: developer@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Prices
    description: Prices.
  - name: Orders
    description: Orders.
paths:
  /trading/orders:
    get:
      tags:
        - Orders
      summary: List orders
      description: List the orders of a user, newest first.
      operationId: trading.list-orders
      parameters:
        - $ref: '#/components/parameters/pagination-per-page'
      responses:
        '200':
          $ref: '#/components/responses/list-trading-orders-response'
      security:
        - OAuth2:
            - trading.orders:read
components:
  parameters:
    pagination-per-page:
      name: perPage
      description: The number of items per page.
      in: query
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
        default: 10
      examples:
        10 Items Per Page:
          value: 10
  responses:
    list-trading-orders-response:
      description: Orders retrieved.
      content:
        application/json:
          schema:
            type: object
            properties:
              orders:
                type: array
                items:
                  $ref: '#/components/schemas/trading-order'
              pagination:
                $ref: '#/components/schemas/pagination'
            required:
              - orders
              - pagination
          examples:
            Orders Retrieved:
              value:
                orders:
                  - id: 0192f3a3-9c1d-7e4b-8a2f-3d6c9e1b7a58
                    clientOrderId: 7e2c9a4d-1f6b-4d8e-b3a5-9c1e7f2d4b06
                    side: sell
                    type: limit
                    origin:
                      type: account
                      id: 651ffcd3-a706-4c91-82ce-5a5eb9c1da62
                    destination:
                      type: account
                      id: 9a3d7e4b-2c1f-4e8d-b7a6-5f4e3d2c1b0a
                    quantity: '0.5'
                    price: '62500.00'
                    timeInForce: fok
                    status: closed
                    execution:
                      quantity: '0'
                      notional: '0'
                      averagePrice: null
                    timeline:
                      - event: created
                        createdAt: '2026-10-12T10:36:41.330Z'
                      - event: canceled
                        reason: limit-price-not-met
                        createdAt: '2026-10-12T10:36:41.902Z'
                    createdAt: '2026-10-12T10:36:41.330Z'
                    updatedAt: '2026-10-12T10:36:41.902Z'
                  - id: 0192f3a1-7c2e-7d4b-9a1f-3e5c8b2d4f60
                    clientOrderId: 8d5f1c0e-1b2a-4c3d-9e8f-77a0b1c2d3e4
                    side: sell
                    type: limit
                    origin:
                      type: account
                      id: 651ffcd3-a706-4c91-82ce-5a5eb9c1da62
                    destination:
                      type: account
                      id: 9a3d7e4b-2c1f-4e8d-b7a6-5f4e3d2c1b0a
                    quantity: '0.5'
                    price: '61500.00'
                    timeInForce: fok
                    status: closed
                    execution:
                      quantity: '0.5'
                      notional: '30959.57'
                      averagePrice: '61919.14'
                    timeline:
                      - event: created
                        createdAt: '2026-10-12T10:31:04.512Z'
                      - event: filled
                        createdAt: '2026-10-12T10:31:05.104Z'
                    createdAt: '2026-10-12T10:31:04.512Z'
                    updatedAt: '2026-10-12T10:31:05.104Z'
                pagination:
                  first: >-
                    https://api.enterprise.uphold.com/trading/orders?page=1&perPage=2
                  next: >-
                    https://api.enterprise.uphold.com/trading/orders?page=2&perPage=2
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
          examples:
            Request ID:
              value: a4e390583b3ac581-MRS
  schemas:
    trading-order:
      type: object
      properties:
        id:
          description: The id of the order.
          type: string
          format: uuid
        clientOrderId:
          description: The key chosen when the order was created.
          type: string
        side:
          $ref: '#/components/schemas/trading-order-side'
        type:
          $ref: '#/components/schemas/trading-order-type'
        origin:
          $ref: '#/components/schemas/trading-account-node'
        destination:
          $ref: '#/components/schemas/trading-account-node'
        quantity:
          description: The quantity the order was sized by.
          type: string
        price:
          description: The limit price. Absent on a market order.
          type: string
        timeInForce:
          $ref: '#/components/schemas/trading-order-time-in-force'
        status:
          $ref: '#/components/schemas/trading-order-status'
        execution:
          $ref: '#/components/schemas/trading-order-execution'
        timeline:
          description: The events of the order's lifecycle, oldest first.
          type: array
          items:
            $ref: '#/components/schemas/trading-order-timeline-item'
        createdAt:
          description: The time at which the order was created.
          type: string
          format: date-time
        updatedAt:
          description: The last time at which the order was updated.
          type: string
          format: date-time
      required:
        - id
        - clientOrderId
        - side
        - type
        - origin
        - destination
        - quantity
        - timeInForce
        - status
        - execution
        - timeline
        - createdAt
        - updatedAt
    pagination:
      description: The pagination information.
      type: object
      properties:
        first:
          description: The URL to the first set of results.
          type: string
          format: uri
        prev:
          description: The URL to the previous set of results.
          type: string
          format: uri
        next:
          description: The URL to the next set of results.
          type: string
          format: uri
    trading-order-side:
      description: Whether the base asset is bought or sold.
      type: string
      enum:
        - buy
        - sell
    trading-order-type:
      description: The type of the order.
      type: string
      enum:
        - market
        - limit
    trading-account-node:
      type: object
      properties:
        type:
          description: The type of the node.
          type: string
          enum:
            - account
        id:
          description: The account id.
          type: string
          format: uuid
      additionalProperties: false
      required:
        - type
        - id
    trading-order-time-in-force:
      description: How long the order stays active. Only `fok` is supported for now.
      type: string
      enum:
        - fok
    trading-order-status:
      description: The status of the order. `closed` does not mean the order executed.
      type: string
      enum:
        - pending
        - open
        - closed
    trading-order-execution:
      description: What the order has executed so far.
      type: object
      properties:
        quantity:
          description: The base quantity executed.
          type: string
        notional:
          description: The gross amount executed, in the quote asset.
          type: string
        averagePrice:
          description: >-
            The average price, in the quote asset per one unit of the base
            asset. Null until something executes.
          type:
            - string
            - 'null'
      required:
        - quantity
        - notional
        - averagePrice
    trading-order-timeline-item:
      type: object
      properties:
        event:
          description: The event that occurred in the order's lifecycle.
          type: string
          enum:
            - created
            - filled
            - canceled
            - rejected
            - failed
        reason:
          $ref: '#/components/schemas/trading-order-reason'
        createdAt:
          description: The time at which the event occurred.
          type: string
          format: date-time
      required:
        - event
        - createdAt
    trading-order-reason:
      description: Why the order did not execute.
      type: string
      enum:
        - insufficient-liquidity
        - limit-price-not-met
        - unspecified-error
        - venue-closed
        - venue-limit-exceeded
        - venue-rejected
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            trading.prices:read: Grants access to read prices.
            trading.orders:create: Grants access to create orders.
            trading.orders:read: Grants access to read orders and their trades.

````